﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="FindSearch.ascx.cs" Inherits="FindSearch" %>
<div class="container">
    <div class="row">
        <div class="col-md-9">
            <asp:panel ID="searchph" runat="server" DefaultButton="searchBtn">
                <div class="input-group">
                    <asp:TextBox ID="searchKeyword" runat="server" CssClass="searchtextbox form-control" TabIndex="1" Placeholder="Enter Search Text"></asp:TextBox>
                    <span class="input-group-btn">
                        <asp:Button ID="searchBtn" runat="server" OnClick="searchBtn_Click" Text="Search" CssClass="btn btn-primary" />
                    </span>
                </div>
            </asp:panel>
        </div>
        <div class="col-md-3">
            <asp:DropDownList ID="orderBy" runat="server" CssClass="form-control" Visible="false" OnSelectedIndexChanged="orderBy_SelectedIndexChanged" AutoPostBack="true">
                <asp:ListItem Text="Order By" Value=""></asp:ListItem>
                <asp:ListItem Text="Relevance" Value="1"></asp:ListItem>
                <asp:ListItem Text="Title" Value="2"></asp:ListItem>
                <asp:ListItem Text="Last Date Modified" Value="3"></asp:ListItem>
            </asp:DropDownList>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12">
            <br />
            <asp:Repeater ID="ResultsRepeater" runat="server">
                <HeaderTemplate>
                    <dl>
                </HeaderTemplate>
                <ItemTemplate>
                    <dt>
                        <a class="result-link" title='<%# Eval("Title") %>' href='<%# Eval("Quicklink") %>'><%# Eval("Title") %></a>
                    </dt>
                    <dd style="padding-bottom:5px;"><%# Eval("Summary") %></dd>
                </ItemTemplate>
                <FooterTemplate>
                    </dl>
                </FooterTemplate>
            </asp:Repeater>
            <ul class="pagination pagination-large" id="pagination" runat="server">
                <% if (ActivePage > 1)
                   { %>
                <li>
                    <a href="<%= GetPageUrl(1) %>">First
                    </a>
                </li>
                <li>
                    <a href="<%= GetPageUrl(ActivePage-1) %>">Prev
                    </a>
                </li>
                <% } %>
                <% for (int page = 1; page <= NumberOfPages; page++)
                   { %>
                <li class='<%= page == ActivePage ? "active" : ""%>'>
                    <a href="<%= GetPageUrl(page) %>">
                        <%= page %>
                    </a>
                </li>
                <%} %>
                <% if (ActivePage < NumberOfPages)
                   { %>
                <li>
                    <a href="<%= GetPageUrl(ActivePage+1) %>">Next
                    </a>
                </li>
                <li>
                    <a href="<%= GetPageUrl(NumberOfPages) %>">Last
                    </a>
                </li>
                <% } %>
            </ul>
        </div>
    </div>
    <div class="row" runat="server" visible="false" id="nosearchresults">
        <div class="col-md-12">
            <div class="alert alert-info">No Search Results</div>
        </div>
    </div>
</div>
